Debian Bug report logs - #644850
linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Joerg Morbitzer <jomo@morbitzer.de>

Date: Sun, 9 Oct 2011 17:42:02 UTC

Severity: normal

Found in version initramfs-tools/0.98.8

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 17:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Morbitzer <jomo@morbitzer.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 17:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Morbitzer <jomo@morbitzer.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 19:23:45 +0200
Package: linux-2.6
Version: 2.6.32-38
Severity: normal

Hi all,

after upgrading my Sheeva plug from Debian 6.0.2 to 6.0.3 also the kernel version
2.6.32-38 was installed. Since then my two Western Digital
USB harddisk are no longer recognised. The kernel is reporting:

[  232.030408] scsi_mod: Unknown symbol blk_get_queue
[  232.041504] scsi_mod: Unknown symbol blk_put_queue

"lsusb" is showing the disks, the block devices are missing though :

sheeva:~# lsusb
Bus 001 Device 005: ID 1058:1100 Western Digital Technologies, Inc. 
Bus 001 Device 003: ID 1058:1100 Western Digital Technologies, Inc. 
Bus 001 Device 002: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

sheeva:~# ls -l /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 15 Oct  9 19:04 01a4a7e9-2da7-4055-bf04-41ff3a00d692 -> ../../mmcblk0p1
lrwxrwxrwx 1 root root 15 Oct  9 19:04 87413beb-de04-4716-a6de-be2b1bef095a -> ../../mmcblk0p2
lrwxrwxrwx 1 root root 15 Oct  9 19:04 d164bff8-cdda-4d73-b1d9-68bc20f7f21f -> ../../mmcblk0p3
sheeva:~#

Kind regards, Joerg.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-kirkwood (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 15:27:07 UTC 2011

** Command line:
console=ttyS0,115200 root=/dev/mmcblk0p2

** Not tainted

** Kernel log:
[   23.415626] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   23.422983] orion-ehci orion-ehci.0: Marvell Orion EHCI
[   23.428286] orion-ehci orion-ehci.0: new USB bus registered, assigned bus number 1
[   23.461328] orion-ehci orion-ehci.0: irq 19, io mem 0xf1050000
[   23.479320] mmc0: host does not support reading read-only switch. assuming write-enable.
[   23.487758] orion-ehci orion-ehci.0: USB 2.0 started, EHCI 1.00
[   23.495441] mmc0: new high speed SDHC card at address f5bb
[   23.502005] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[   23.508829] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   23.516116] usb usb1: Product: Marvell Orion EHCI
[   23.520851] usb usb1: Manufacturer: Linux 2.6.32-5-kirkwood ehci_hcd
[   23.527247] usb usb1: SerialNumber: orion-ehci.0
[   23.544861] mmcblk0: mmc0:f5bb SD08G 7.42 GiB 
[   23.549486]  mmcblk0:
[   23.552295] usb usb1: configuration #1 chosen from 1 choice
[   23.558184]  p1 p2 p3
[   23.560882] hub 1-0:1.0: USB hub found
[   23.567980] hub 1-0:1.0: 1 port detected
[   23.888371] md: linear personality registered for level -1
[   23.893964] usb 1-1: new high speed USB device using orion-ehci and address 2
[   23.913120] md: multipath personality registered for level -4
[   23.929054] md: raid0 personality registered for level 0
[   23.951804] md: raid1 personality registered for level 1
[   23.965997] async_tx: api initialized (async)
[   23.974738] xor: measuring software checksum speed
[   24.021303]    arm4regs  :  1084.800 MB/sec
[   24.071302]    8regs     :   804.000 MB/sec
[   24.121304]    32regs    :   900.400 MB/sec
[   24.125505] xor: using function: arm4regs (1084.800 MB/sec)
[   24.301404] raid6: int32x1     79 MB/s
[   24.471842] raid6: int32x2    104 MB/s
[   24.641601] raid6: int32x4    124 MB/s
[   24.811649] raid6: int32x8    110 MB/s
[   24.815414] raid6: using algorithm int32x4 (124 MB/s)
[   24.831741] usb 1-1: New USB device found, idVendor=0409, idProduct=005a
[   24.838480] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[   24.862634] usb 1-1: configuration #1 chosen from 1 choice
[   24.872882] md: raid6 personality registered for level 6
[   24.878225] md: raid5 personality registered for level 5
[   24.883609] md: raid4 personality registered for level 4
[   24.889877] hub 1-1:1.0: USB hub found
[   24.899369] hub 1-1:1.0: 4 ports detected
[   24.933616] md: raid10 personality registered for level 10
[   24.972508] uncorrectable error : 
[   24.975757] uncorrectable error : 
[   24.979187] end_request: I/O error, dev mtdblock0, sector 0
[   25.020618] kjournald starting.  Commit interval 5 seconds
[   25.026240] EXT3-fs: mounted filesystem with ordered data mode.
[   25.181526] usb 1-1.1: new high speed USB device using orion-ehci and address 3
[   25.312727] usb 1-1.1: New USB device found, idVendor=1058, idProduct=1100
[   25.319650] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   25.327016] usb 1-1.1: Product: My Book         
[   25.331695] usb 1-1.1: Manufacturer: Western Digital 
[   25.336767] usb 1-1.1: SerialNumber: 57442D574D41535530343632393230
[   25.343501] usb 1-1.1: configuration #1 chosen from 1 choice
[   25.441532] usb 1-1.2: new high speed USB device using orion-ehci and address 4
[   25.572988] usb 1-1.2: New USB device found, idVendor=1058, idProduct=1100
[   25.579901] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   25.587280] usb 1-1.2: Product: My Book         
[   25.591954] usb 1-1.2: Manufacturer: Western Digital 
[   25.597033] usb 1-1.2: SerialNumber: 57442D574341535534363033363633
[   25.613406] usb 1-1.2: configuration #1 chosen from 1 choice
[   25.719119] udev[162]: starting version 164
[   26.203838] scsi_mod: Unknown symbol blk_get_queue
[   26.214881] scsi_mod: Unknown symbol blk_put_queue
[   26.255463] scsi_mod: Unknown symbol blk_get_queue
[   26.266517] scsi_mod: Unknown symbol blk_put_queue
[   26.432287] uncorrectable error : 
[   26.435529] uncorrectable error : 
[   26.438952] end_request: I/O error, dev mtdblock0, sector 0
[   26.907509] Adding 503308k swap on /dev/mmcblk0p3.  Priority:-1 extents:1 across:503308k SS
[   27.234118] EXT3 FS on mmcblk0p2, internal journal
[   27.448855] loop: module loaded
[   28.400776] RPC: Registered udp transport module.
[   28.405717] RPC: Registered tcp transport module.
[   28.410444] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   28.527829] Slow work thread pool: Starting up
[   28.536913] Slow work thread pool: Ready
[   28.543671] FS-Cache: Loaded
[   28.691853] FS-Cache: Netfs 'nfs' registered for caching
[   28.815331] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   29.006794] NET: Registered protocol family 10
[   29.020893] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   29.962625] eth0: link up, 100 Mb/s, full duplex, flow control disabled
[   29.969448] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   30.832203] svc: failed to register lockdv1 RPC service (errno 97).
[   30.849493] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
[   30.869852] NFSD: starting 90-second grace period
[   40.741304] eth0: no IPv6 routers present
[  173.408713] udev[1160]: starting version 164
[  217.518857] usb 1-1.2: USB disconnect, address 4
[  231.836015] usb 1-1.2: new high speed USB device using orion-ehci and address 5
[  231.967230] usb 1-1.2: New USB device found, idVendor=1058, idProduct=1100
[  231.974140] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  231.981501] usb 1-1.2: Product: My Book         
[  231.986175] usb 1-1.2: Manufacturer: Western Digital 
[  231.991248] usb 1-1.2: SerialNumber: 57442D574341535534363033363633
[  232.000358] usb 1-1.2: configuration #1 chosen from 1 choice
[  232.030408] scsi_mod: Unknown symbol blk_get_queue
[  232.041504] scsi_mod: Unknown symbol blk_put_queue

** Model information
Processor	: Feroceon 88FR131 rev 1 (v5l)
Hardware	: Marvell SheevaPlug Reference Board
Revision	: 0000

** Loaded modules:
Module                  Size  Used by
ipv6                  253786  22 
nfsd                  247560  13 
exportfs                3000  1 nfsd
nfs                   270508  0 
lockd                  63165  2 nfsd,nfs
fscache                34105  1 nfs
nfs_acl                 2277  2 nfsd,nfs
auth_rpcgss            33334  2 nfsd,nfs
sunrpc                171216  12 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
loop                   11427  0 
gpio_keys               3066  0 
hmac                    2475  0 
sha1_generic            1717  0 
mv_cesa                 9262  0 
aes_generic            32820  1 mv_cesa
raid10                 19535  0 
raid456                50943  0 
async_raid6_recov       4240  1 raid456
async_pq                3424  2 raid456,async_raid6_recov
raid6_pq               75781  2 async_raid6_recov,async_pq
async_xor               2563  3 raid456,async_raid6_recov,async_pq
xor                     4819  1 async_xor
async_memcpy             956  2 raid456,async_raid6_recov
async_tx                2008  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
raid1                  19757  0 
raid0                   5863  0 
multipath               6055  0 
linear                  3605  0 
md_mod                 80386  6 raid10,raid456,raid1,raid0,multipath,linear
ext3                  110992  1 
jbd                    37434  1 ext3
ext2                   55411  1 
mbcache                 4860  2 ext3,ext2
mmc_block               7658  4 
ehci_hcd               35579  0 
usbcore               122183  2 ehci_hcd
mvsdio                  5318  0 
nls_base                5367  1 usbcore
mv643xx_eth            22562  0 
mmc_core               50206  2 mmc_block,mvsdio
libphy                 14836  1 mv643xx_eth
inet_lro                5060  1 mv643xx_eth

** PCI devices:

** Sound cards:

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-kirkwood depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.32-38  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-kirkwood recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  uboot-mkimage                 0.4        generate kernel image for U-Boot

Versions of packages linux-image-2.6.32-5-kirkwood suggests:
pn  fdutils                       <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-kirkwood is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-kirkwood/postinst/bootloader-error-2.6.32-5-kirkwood:
  linux-image-2.6.32-5-kirkwood/postinst/bootloader-test-error-2.6.32-5-kirkwood:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-kirkwood/postinst/depmod-error-initrd-2.6.32-5-kirkwood: false
  linux-image-2.6.32-5-kirkwood/postinst/ignoring-do-bootloader-2.6.32-5-kirkwood:
  linux-image-2.6.32-5-kirkwood/postinst/missing-firmware-2.6.32-5-kirkwood:
  linux-image-2.6.32-5-kirkwood/prerm/would-invalidate-boot-loader-2.6.32-5-kirkwood: true
  linux-image-2.6.32-5-kirkwood/prerm/removing-running-kernel-2.6.32-5-kirkwood: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 644850@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Joerg Morbitzer <jomo@morbitzer.de>
Cc: 644850@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 9 Oct 2011 12:46:21 -0500
Hi,

Joerg Morbitzer wrote:

> Package: linux-2.6
> Version: 2.6.32-38
[...]
> Linux version 2.6.32-5-kirkwood (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 15:27:07 UTC 2011

Was the new kernel flashed correctly?  Does rebooting help?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 644850@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Joerg Morbitzer <jomo@morbitzer.de>
Cc: 644850@bugs.debian.org, flash-kernel@packages.debian.org
Subject: Re: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 9 Oct 2011 13:16:57 -0500
Joerg Morbitzer wrote:

> Mmmh, I am quite sure that I didn't see any error message when running
> the upgrade to 6.0.3, and I can find those messages in /var/log/dpkg.log ...
>
> 2011-10-09 17:27:03 configure linux-image-2.6.32-5-kirkwood 2.6.32-38
> 2.6.32-38
> 2011-10-09 17:27:03 status unpacked linux-image-2.6.32-5-kirkwood 2.6.32-38
> 2011-10-09 17:27:04 status half-configured linux-image-2.6.32-5-kirkwood
> 2.6.32-38
> 2011-10-09 17:28:05 status installed linux-image-2.6.32-5-kirkwood 2.6.32-38
>
> ..., however, I just re-flashed the kernel ...
[...]
> ... did a reboot ... and there you go, the USB disks get recognised
> again. Fixed for me at least.

Hm, what version of flash-kernel do you have installed?  Please also send
the output of

	grep . /etc/kernel/postinst.d/*

so we can see whether the hooks are set up correctly.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Morbitzer <jomo@morbitzer.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 18:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 644850@bugs.debian.org (full text, mbox):

From: Joerg Morbitzer <jomo@morbitzer.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 644850@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 20:07:30 +0200
On 10/09/2011 07:46 PM, Jonathan Nieder wrote:
> Hi,
> 
> Joerg Morbitzer wrote:
> 
>> Package: linux-2.6
>> Version: 2.6.32-38
> [...]
>> Linux version 2.6.32-5-kirkwood (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 15:27:07 UTC 2011
> 
> Was the new kernel flashed correctly?  

Mmmh, I am quite sure that I didn't see any error message when running
the upgrade to 6.0.3, and I can find those messages in /var/log/dpkg.log ...

2011-10-09 17:27:03 configure linux-image-2.6.32-5-kirkwood 2.6.32-38
2.6.32-38
2011-10-09 17:27:03 status unpacked linux-image-2.6.32-5-kirkwood 2.6.32-38
2011-10-09 17:27:04 status half-configured linux-image-2.6.32-5-kirkwood
2.6.32-38
2011-10-09 17:28:05 status installed linux-image-2.6.32-5-kirkwood 2.6.32-38

..., however, I just re-flashed the kernel ...

sheeva:~# flash-kernel
Generating kernel u-boot image... done.
Creating backup of /boot/uImage.
Creating new /boot/uImage.
Generating initrd u-boot image... done.
Creating backup of /boot/uInitrd.
Creating new /boot/uInitrd.
sheeva:~#

... did a reboot ... and there you go, the USB disks get recognised
again. Fixed for me at least.

So I assume the new kernel wasn't really flashed. On the other hand: if
the previous kernel was still in place why would it suddenly fail?
Strange ...


Kind regards, Joerg.



Does rebooting help?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Morbitzer <jomo@morbitzer.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 644850@bugs.debian.org (full text, mbox):

From: Joerg Morbitzer <jomo@morbitzer.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 644850@bugs.debian.org, flash-kernel@packages.debian.org
Subject: Re: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 21:24:09 +0200
On 10/09/2011 08:16 PM, Jonathan Nieder wrote:
> Joerg Morbitzer wrote:
> 
>> Mmmh, I am quite sure that I didn't see any error message when running
>> the upgrade to 6.0.3, and I can find those messages in /var/log/dpkg.log ...
>>
>> 2011-10-09 17:27:03 configure linux-image-2.6.32-5-kirkwood 2.6.32-38
>> 2.6.32-38
>> 2011-10-09 17:27:03 status unpacked linux-image-2.6.32-5-kirkwood 2.6.32-38
>> 2011-10-09 17:27:04 status half-configured linux-image-2.6.32-5-kirkwood
>> 2.6.32-38
>> 2011-10-09 17:28:05 status installed linux-image-2.6.32-5-kirkwood 2.6.32-38
>>
>> ..., however, I just re-flashed the kernel ...
> [...]
>> ... did a reboot ... and there you go, the USB disks get recognised
>> again. Fixed for me at least.
> 
> Hm, what version of flash-kernel do you have installed?  Please also send
> the output of
> 
> 	grep . /etc/kernel/postinst.d/*
> 
> so we can see whether the hooks are set up correctly.

---------------------------------- cut --------------------------
sheeva:~# dpkg -l | grep flash-kernel
ii  flash-kernel                           2.37
utility to make certain embedded devices bootable
sheeva:~#
---------------------------------- cut --------------------------


---------------------------------- cut --------------------------
sheeva:~# grep . /etc/kernel/postinst.d/*
#!/bin/sh
version="$1"
bootopt=""
# passing the kernel version is required
[ -z "${version}" ] && exit 0
# kernel-package passes an extra arg
if [ -n "$2" ]; then
        if [ -n "${KERNEL_PACKAGE_VERSION}" ]; then
                # exit if custom kernel does not need an initramfs
                [ "$INITRD" = 'No' ] && exit 0
                bootdir=$(dirname "$2")
                bootopt="-b ${bootdir}"
        else
                # official Debian linux-images take care themself
                exit 0
        fi
fi
# avoid running multiple times
if [ -n "$DEB_MAINT_PARAMS" ]; then
        eval set -- "$DEB_MAINT_PARAMS"
        if [ -z "$1" ] || [ "$1" != "configure" ]; then
                exit 0
        fi
fi
# we're good - create initramfs.  update runs do_bootloader
update-initramfs -c -t -k "${version}" ${bootopt} >&2
sheeva:~#
---------------------------------- cut --------------------------


Regards, Joerg.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 644850@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Joerg Morbitzer <jomo@morbitzer.de>, 644850@bugs.debian.org
Subject: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 20:44:20 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-10-09 at 21:24 +0200, Joerg Morbitzer wrote:
> On 10/09/2011 08:16 PM, Jonathan Nieder wrote:
> > Joerg Morbitzer wrote:
> > 
> >> Mmmh, I am quite sure that I didn't see any error message when running
> >> the upgrade to 6.0.3, and I can find those messages in /var/log/dpkg.log ...
> >>
> >> 2011-10-09 17:27:03 configure linux-image-2.6.32-5-kirkwood 2.6.32-38
> >> 2.6.32-38
> >> 2011-10-09 17:27:03 status unpacked linux-image-2.6.32-5-kirkwood 2.6.32-38
> >> 2011-10-09 17:27:04 status half-configured linux-image-2.6.32-5-kirkwood
> >> 2.6.32-38
> >> 2011-10-09 17:28:05 status installed linux-image-2.6.32-5-kirkwood 2.6.32-38
> >>
> >> ..., however, I just re-flashed the kernel ...
> > [...]
> >> ... did a reboot ... and there you go, the USB disks get recognised
> >> again. Fixed for me at least.
> > 
> > Hm, what version of flash-kernel do you have installed?  Please also send
> > the output of
> > 
> > 	grep . /etc/kernel/postinst.d/*
> > 
> > so we can see whether the hooks are set up correctly.
> 
> ---------------------------------- cut --------------------------
> sheeva:~# dpkg -l | grep flash-kernel
> ii  flash-kernel                           2.37
> utility to make certain embedded devices bootable
> sheeva:~#
> ---------------------------------- cut --------------------------
> 
> 
> ---------------------------------- cut --------------------------
> sheeva:~# grep . /etc/kernel/postinst.d/*
> #!/bin/sh
> version="$1"
> bootopt=""
[...]

This is the usual initramfs-tools hook script.  In 'squeeze',
update-initramfs is supposed to run flash-kernel.

When you saw this problem, had you rebooted since the kernel upgrade?

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#644850; Package linux-2.6. (Sun, 09 Oct 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Morbitzer <jomo@morbitzer.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 644850@bugs.debian.org (full text, mbox):

From: Joerg Morbitzer <jomo@morbitzer.de>
To: Ben Hutchings <ben@decadent.org.uk>, 644850@bugs.debian.org
Subject: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 22:02:52 +0200
[Message part 1 (text/plain, inline)]
After upgrading to Debian 6.0.3 I rebooted straight away, ending up with the issue I mentioned. Rebooting again did not help, I had to run flash-kernel to fix things...

Regards, Joerg.



Ben Hutchings <ben@decadent.org.uk> schrieb:

On Sun, 2011-10-09 at 21:24 +0200, Joerg Morbitzer wrote:
> On 10/09/2011 08:16 PM, Jonathan Nieder wrote:
> > Joerg Morbitzer wrote:
> > 
> >> Mmmh, I am quite sure that I didn't see any error message when running
> >> the upgrade to 6.0.3, and I can find those messages in /var/log/dpkg.log ...
> >>
> >> 2011-10-09 17:27:03 configure linux-image-2.6.32-5-kirkwood 2.6.32-38
> >> 2.6.32-38
> >> 2011-10-09 17:27:03 status unpacked linux-image-2.6.32-5-kirkwood 2.6.32-38
> >> 2011-10-09 17:27:04 status half-configured linux-image-2.6.32-5-kirkwood
> >> 2.6.32-38
> >> 2011-10-09 17:28:05 status installed linux-image-2.6.32-5-kirkwood 2.6.32-38
> >>
> >> ..., however, I just re-flashed the kernel ...
> > [...]
> >> ... did a reboot ... and there you go, the USB disks get recognised
> >> again. Fixed for me at least.
> > 
> > Hm, what version of flash-kernel do you have installed? Please also send
> > the output of
> > 
> > 	grep . /etc/kernel/postinst.d/*
> > 
> > so we can see whether the hooks are set up correctly.
> 
>_____________________________________________
cut --------------------------
> sheeva:~# dpkg -l | grep flash-kernel
> ii flash-kernel 2.37
> utility to make certain embedded devices bootable
> sheeva:~#
>_____________________________________________
cut --------------------------
> 
> 
>_____________________________________________
cut --------------------------
> sheeva:~# grep . /etc/kernel/postinst.d/*
> #!/bin/sh
> version="$1"
> bootopt=""
[...]

This is the usual initramfs-tools hook script. In 'squeeze',
update-initramfs is supposed to run flash-kernel.

When you saw this problem, had you rebooted since the kernel upgrade?

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.

[Message part 2 (text/html, inline)]

Bug reassigned from package 'linux-2.6' to 'initramfs-tools'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 09 Oct 2011 20:09:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-38. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 09 Oct 2011 20:09:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions initramfs-tools/0.98.8. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 09 Oct 2011 20:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#644850; Package initramfs-tools. (Sun, 09 Oct 2011 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 09 Oct 2011 20:09:06 GMT) Full text and rfc822 format available.

Message #46 received at 644850@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Joerg Morbitzer <jomo@morbitzer.de>
Cc: 644850@bugs.debian.org
Subject: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Sun, 09 Oct 2011 21:08:18 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-10-09 at 22:02 +0200, Joerg Morbitzer wrote:
> After upgrading to Debian 6.0.3 I rebooted straight away, ending up
> with the issue I mentioned. Rebooting again did not help, I had to run
> flash-kernel to fix things...

Seems like this could be a bug in initramfs-tools.  I've reassigned it.

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#644850; Package initramfs-tools. (Mon, 24 Oct 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lenoir <dlenoir@videotron.ca>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 24 Oct 2011 23:57:03 GMT) Full text and rfc822 format available.

Message #51 received at 644850@bugs.debian.org (full text, mbox):

From: Dominique Lenoir <dlenoir@videotron.ca>
To: 644850@bugs.debian.org
Subject: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Mon, 24 Oct 2011 19:51:23 -0400
Good evening,

Same problem here, My outputs were similar to Joerg's.

I reflashed the kernel (twice), but still have the two errors, and my USB drive 
is not recognized.

Any idea?

Regards,

Dominique




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#644850; Package initramfs-tools. (Wed, 23 Nov 2011 13:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 23 Nov 2011 13:42:07 GMT) Full text and rfc822 format available.

Message #56 received at 644850@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Dominique Lenoir <dlenoir@videotron.ca>, 644850@bugs.debian.org
Cc: Joerg Morbitzer <jomo@morbitzer.de>
Subject: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Wed, 23 Nov 2011 14:38:54 +0100
[Message part 1 (text/plain, inline)]
* Dominique Lenoir [Mon Oct 24, 2011 at 07:51:23PM -0400]:

> Same problem here, My outputs were similar to Joerg's.
> I reflashed the kernel (twice), but still have the two errors, and my USB drive 
> is not recognized.

Can you please report what's the output of:

  # flash-kernel --supported
  # echo $?

on your system(s)?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#644850; Package initramfs-tools. (Thu, 24 Nov 2011 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lenoir <dlenoir@videotron.ca>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 24 Nov 2011 01:39:03 GMT) Full text and rfc822 format available.

Message #61 received at 644850@bugs.debian.org (full text, mbox):

From: Dominique Lenoir <dlenoir@videotron.ca>
To: Michael Prokop <mika@debian.org>
Cc: 644850@bugs.debian.org, Joerg Morbitzer <jomo@morbitzer.de>
Subject: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not recognise USB harddisks any longer
Date: Wed, 23 Nov 2011 20:35:19 -0500
Good evening,

Unfortunately, since then I installed kernel 3.1 and it restored access to the 
USB harddisk.

For what it's worth:
root@plug:~# flash-kernel --supported
root@plug:~# echo $?
0

Regards,

Dominique


Le 23 Novembre 2011 14:38:54 Michael Prokop a écrit :
> * Dominique Lenoir [Mon Oct 24, 2011 at 07:51:23PM -0400]:
> > Same problem here, My outputs were similar to Joerg's.
> > I reflashed the kernel (twice), but still have the two errors, and my
> > USB drive is not recognized.
> 
> Can you please report what's the output of:
> 
>   # flash-kernel --supported
>   # echo $?
> 
> on your system(s)?
> 
> regards,
> -mika-




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Tue, 05 Jun 2012 18:21:09 GMT) Full text and rfc822 format available.

Notification sent to Joerg Morbitzer <jomo@morbitzer.de>:
Bug acknowledged by developer. (Tue, 05 Jun 2012 18:21:10 GMT) Full text and rfc822 format available.

Message #66 received at 644850-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 644850-done@bugs.debian.org
Subject: Re: Re: Bug#644850: linux-image-2.6.32-5-kirkwood: 2.6.32-38 does not
Date: Tue, 5 Jun 2012 18:11:40 +0000
> Unfortunately, since then I installed kernel 3.1 and it restored access to
> the USB harddisk.

ok good, thus closing, as no new report since then.

-- 
maks





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2012 07:39:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.